﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Xml.Linq;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Data.PropertyGrid;

namespace RadPropertyGridWithEditorAttributeIssue
{
    public class MyViewModel : ViewModelBase
    {
        private string navigateToMovie = "asdasd";

        [Display(AutoGenerateField = true, Name = "Video Transition")]
        [Editor(typeof(ImageSelector), EditorStyle.None)]
        public string NavigateToMovie
        {
            get
            {
                return this.navigateToMovie;
            }
            set
            {
                if (this.navigateToMovie != value)
                {
                    this.navigateToMovie = value;
                    this.OnPropertyChanged(() => NavigateToMovie);
                }
            }
        }
    }
}
